package co.pixelbeard.theanfieldwrap.data.responses;

import com.google.gson.annotations.SerializedName;

import java.util.List;

import co.pixelbeard.theanfieldwrap.data.Device;
import co.pixelbeard.theanfieldwrap.networking.BaseResponse;

public class GetDevicesResponse extends BaseResponse {

    @SerializedName("devices")
    List<Device> devices;


    public GetDevicesResponse() {
    }

    public GetDevicesResponse(boolean success, String message, List<Device> devices) {
        super(success, message);
        this.devices = devices;
    }

    public List<Device> getDevices() {
        return devices;
    }

    public void setDevices(List<Device> devices) {
        this.devices = devices;
    }
}
